%ifarch %{arm} aarch64
%define build_docs     0
%else
%define build_docs     0
%endif

%define qtmajor 5
%define qtminor 15
%define qtsubminor 2

%define rel 1

%define qtversion          %{qtmajor}.%{qtminor}.%{qtsubminor}

%define libqtwebglplugin_d %mklibname qt5webglplugin -d

%define qttarballdir       qtwebglplugin-everywhere-src-%{qtversion}

Name:           qtwebglplugin5
Version:        %{qtversion}
Release:        %mkrel %{rel}
Summary:        Qt%{qtmajor} WebGL Plugin component
# See LGPL_EXCEPTIONS.txt, LICENSE.GPL3, respectively, for exception details
License:        LGPLv2 with exceptions or GPLv3 with exceptions
Group:          Development/KDE and Qt
Url:            https://www.qt.io/
Source0:        http://download.qt.io/official_releases/qt/%{qtmajor}.%{qtminor}/%{version}/submodules/%{qttarballdir}.tar.xz

BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5Gui)
BuildRequires:  pkgconfig(Qt5OpenGL)
BuildRequires:  pkgconfig(Qt5Qml)
BuildRequires:  pkgconfig(Qt5Quick)
BuildRequires:  pkgconfig(Qt5WebSockets)
BuildRequires:  qt5eventdispatchersupport-devel
BuildRequires:  qt5fontdatabasesupport-devel
BuildRequires:  qt5themesupport-devel

%description
QPA plugin for running an application via a browser using streamed
WebGL commands.

%files
%{_qt5_plugindir}/platforms/libqwebgl.so

#------------------------------------------------------------------------------

%if %{build_docs}
%package        doc
Summary:        QtWebGLPlugin%{qtmajor} APIs and tools docs
Group:          Documentation
BuildArch:      noarch
BuildRequires:  qttools5
# This one is required to build QCH-format documentation
# for APIs and tools in this package set
BuildRequires:  qttools5-assistant
Recommends:     qttools5-assistant

%description doc
Documentation for APIs and tools in QtWebGLPlugin%{qtmajor} package for
use with Qt Assistant.

%files doc
%{_qt5_docdir}/qtwebglplugin.qch
%{_qt5_docdir}/qtwebglplugin/
%endif

#------------------------------------------------------------------------------

%package -n     %{libqtwebglplugin_d}
Summary:        Devel files needed to build apps based on QtWebGL Plugin
Group:          Development/KDE and Qt
Requires:       %{name} = %{version}
Provides:       libqtwebglplugin5-devel = %{version}
Provides:       libqt5webglplugin-devel = %{version}
Provides:       qtwebglplugin5-devel = %{version}
Provides:       qt5webglplugin-devel = %{version}

%description -n %{libqtwebglplugin_d}
Devel files needed to build apps based on QtWebGL Plugin.

%files -n %{libqtwebglplugin_d}
%{_qt5_libdir}/cmake/Qt5Gui/Qt5Gui_QWebGLIntegrationPlugin.cmake

#------------------------------------------------------------------------------

%prep
%setup -q -n qtwebglplugin-everywhere-src-%{qtversion}

%build
%qmake_qt5

%make_build

%if %{build_docs}
%__make docs
%endif

%install
%make_install INSTALL_ROOT=%{buildroot}

%if %{build_docs}
%make_install install_docs INSTALL_ROOT=%{buildroot}
%endif

# .la files, die, die, die.
find %{buildroot} -name '*.la' -delete


%changelog
* Fri Dec 04 2020 daviddavid <daviddavid> 5.15.2-1.mga8
+ Revision: 1652481
- New version 5.15.2

* Sat Sep 12 2020 daviddavid <daviddavid> 5.15.1-1.mga8
+ Revision: 1624928
- New version 5.15.1

* Wed Jun 03 2020 daviddavid <daviddavid> 5.15.0-1.mga8
+ Revision: 1589841
- New version 5.15.0

* Thu Feb 20 2020 umeabot <umeabot> 5.14.1-2.mga8
+ Revision: 1545573
- Mageia 8 Mass Rebuild

* Tue Jan 28 2020 daviddavid <daviddavid> 5.14.1-1.mga8
+ Revision: 1484437
- New version 5.14.1

* Sun Sep 08 2019 neoclust <neoclust> 5.13.1-1.mga8
+ Revision: 1438510
- New version 5.13.1

* Sun Jul 14 2019 neoclust <neoclust> 5.13.0-2.mga8
+ Revision: 1421117
- Rebuild for new mkspecs macros

* Thu Jul 04 2019 daviddavid <daviddavid> 5.13.0-1.mga8
+ Revision: 1418169
- New version 5.13.0

* Mon Apr 01 2019 umeabot <umeabot> 5.12.2-2.mga7
+ Revision: 1384606
- Qt5 Rebuild

* Mon Mar 18 2019 neoclust <neoclust> 5.12.2-1.mga7
+ Revision: 1378556
- New version 5.12.2

* Fri Feb 01 2019 neoclust <neoclust> 5.12.1-1.mga7
+ Revision: 1362303
- New version 5.12.1

* Sun Dec 09 2018 neoclust <neoclust> 5.12.0-1.mga7
+ Revision: 1339156
- New version 5.12.0

* Wed Oct 17 2018 neoclust <neoclust> 5.11.2-2.mga7
+ Revision: 1321723
- New version 5.11.2

* Sun Sep 23 2018 umeabot <umeabot> 5.11.1-2.mga7
+ Revision: 1300736
- Mageia 7 Mass Rebuild

* Sun Jul 29 2018 neoclust <neoclust> 5.11.1-1.mga7
+ Revision: 1245835
- New version 5.11.1

* Mon May 28 2018 daviddavid <daviddavid> 5.11.0-1.mga7
+ Revision: 1232696
- initial package qtwebglplugin5

